Benutzerhandbuch
Version 1.9 — Rev. 3

# Modulkonfiguration

Modulunterstuetzung ist in OpenLiteSpeed 1.3 und LSWS Enterprise 5.0 oder hoeher verfuegbar. Alle erforderlichen Module muessen auf der Registerkarte Server Modules Configuration registriert werden. Moduldateien muessen im Ordner server root/modules liegen, damit sie registriert werden koennen. Beim Start laedt der Server alle registrierten Module. Der Server muss nach dem Registrieren neuer Module neu gestartet werden.
Module koennen global auf der Registerkarte Server Module configuration konfiguriert werden. Die Konfigurationsdaten stehen dann den Listener- und Virtual-Host-Modulkonfigurationen zum Erben oder Aendern zur Verfuegung.

### Servermodule

#### Beschreibung

Die Servermodul-Konfiguration definiert die Modulkonfigurationsdaten global. Nach der Definition haben Listener und virtuelle Hosts Zugriff auf die Module und deren Konfigurationen.
Alle zu verarbeitenden Module muessen in der Serverkonfiguration registriert werden. Die Serverkonfiguration definiert ausserdem die Standardwerte fuer Modulparameterdaten. Diese Werte koennen von der Listener- und Virtual-Host-Konfiguration geerbt oder dort ueberschrieben werden.
Die Modulprioritaet wird nur auf Serverebene definiert und von den Listener- und Virtual-Host-Konfigurationen geerbt.

### Modul

#### Beschreibung

Name eines externen oder internen Moduls, das beim Serverstart geladen werden soll.
Extern
Der fuer externe Module verwendete Wert muss mit dem Namen der ".so"-Datei des Moduls unter $SERVER_ROOT/modules/modulename.so uebereinstimmen, damit die Serveranwendung es laden kann. Nach der Registrierung eines neuen Moduls muss der Server neu gestartet werden.
Intern
Der fuer interne Module verwendete Wert muss mit dem Modulnamen uebereinstimmen, der beim Erstellen des Moduls verwendet wurde. Fuer das interne Cache-Modul, das im Server enthalten ist, muss er beispielsweise auf "cache" gesetzt werden.

#### Syntax

Zeichenkette

### Internes Modul

#### Beschreibung

Gibt an, ob das Modul ein internes, statisch gelinktes Modul ist und keine externe .so-Bibliothek.

#### Syntax

Aus Optionsfeldern auswählen

### Modulparameter

#### Beschreibung

Legen Sie Modulparameter fest. Die Modulparameter werden vom Modulentwickler definiert.
Der auf Serverebene gesetzte Wert wird global als Standardwert zugewiesen. Der Benutzer kann diese Einstellung auf Listener-, Virtual-Host- oder Kontextebene ueberschreiben. Wenn sie auf keiner dieser Ebenen gesetzt ist, wird der Wert von der naechsthoeheren Ebene geerbt.

#### Syntax

Durch die Modulschnittstelle festgelegt.

### Modul aktivieren

#### Beschreibung

Aktiviert Modul-Hooks global. Diese Einstellung kann auf Listener- und Virtual-Host-Ebene ueberschrieben werden.
Standardwert: Yes

#### Syntax

Aus Optionsfeldern auswählen

### Priorität Hook::L4_BEGINSESSION

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks L4 Begin Session fest.
Der Hook L4 Begin Session wird ausgeloest, wenn die TCP/IP-Verbindung beginnt.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::L4_ENDSESSION

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks L4 End Session fest.
Der Hook L4 End Session wird ausgeloest, wenn die TCP/IP-Verbindung endet.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::L4_RECVING

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks L4 Receiving fest.
Der Hook L4 Receiving wird ausgeloest, wenn die TCP/IP-Verbindung Daten empfaengt.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::L4_SENDING

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks L4 Sending fest.
Der Hook L4 Sending wird ausgeloest, wenn die TCP/IP-Verbindung Daten sendet.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::HTTP_BEGIN

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Begin fest.
Der Hook HTTP Begin wird ausgeloest, wenn die TCP/IP-Verbindung eine HTTP-Sitzung beginnt.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::RECV_REQ_HEADER

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Receive Request Header fest.
Der Hook HTTP Receive Request Header wird ausgeloest, wenn der Webserver einen Anforderungsheader empfaengt.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::URI_MAP

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP URI Map fest.
Der Hook HTTP URI Map wird ausgeloest, wenn der Webserver eine URI-Anforderung einem Kontext zuordnet.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::HTTP_AUTH

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Authentication fest.
Der Hook HTTP Authentication wird nach der Ressourcenzuordnung und vor der Handler-Verarbeitung ausgeloest. Er erfolgt nach der integrierten HTTP-Authentifizierung und kann fuer zusaetzliche Authentifizierungspruefungen verwendet werden.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::RECV_REQ_BODY

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Receive Request Body fest.
Der Hook HTTP Receive Request Body wird ausgeloest, wenn der Webserver Daten des Anforderungstextes empfaengt.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::RCVD_REQ_BODY

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Received Request Body fest.
Der Hook HTTP Received Request Body wird ausgeloest, wenn der Webserver den Empfang der Daten des Anforderungstextes abgeschlossen hat.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::RECV_RESP_HEADER

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Receive Response Header fest.
Der Hook HTTP Receive Response Header wird ausgeloest, wenn der Webserver den Antwortheader erstellt.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::RECV_RESP_BODY

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Receive Response Body fest.
Der Hook HTTP Receive Response Body wird ausgeloest, wenn das Backend des Webservers den Antworttext empfaengt.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::RCVD_RESP_BODY

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Received Response Body fest.
Der Hook HTTP Received Response Body wird ausgeloest, wenn das Backend des Webservers den Empfang des Antworttextes abgeschlossen hat.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::HANDLER_RESTART

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Handler Restart fest.
Der Hook HTTP Handler Restart wird ausgeloest, wenn der Webserver die aktuelle Antwort verwerfen und die Verarbeitung von vorn beginnen muss, zum Beispiel wenn eine interne Weiterleitung angefordert wurde.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::SEND_RESP_HEADER

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Send Response Header fest.
Der Hook HTTP Send Response Header wird ausgeloest, wenn der Webserver bereit ist, den Antwortheader zu senden.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::SEND_RESP_BODY

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Send Response Body fest.
Der Hook HTTP Send Response Body wird ausgeloest, wenn der Webserver den Antworttext senden wird.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::HTTP_END

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks HTTP Session End fest.
Der Hook HTTP Session End wird ausgeloest, wenn die HTTP-Verbindung beendet wurde.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::MAIN_INITED

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks Main Initialized fest.
Der Hook Main Initialized wird einmal beim Start ausgeloest, nachdem die Serverkonfiguration und Initialisierung durch den Hauptprozess (Controller) abgeschlossen ist und bevor Anforderungen bedient werden.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::MAIN_PREFORK

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks Main Prefork fest.
Der Hook Main Prefork wird vom Hauptprozess (Controller) unmittelbar vor dem Starten (Forken) eines neuen Worker-Prozesses ausgeloest. Er wird fuer jeden Worker aufgerufen und kann beim Systemstart oder nach einem Worker-Neustart auftreten.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::MAIN_POSTFORK

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks Main Postfork fest.
Der Hook Main Postfork wird vom Hauptprozess (Controller) unmittelbar nach dem Starten (Forken) eines neuen Worker-Prozesses ausgeloest. Er wird fuer jeden Worker aufgerufen und kann beim Systemstart oder nach einem Worker-Neustart auftreten.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::WORKER_POSTFORK

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks Worker Postfork fest.
Der Hook Worker Postfork wird von einem Worker-Prozess ausgeloest, nachdem er vom Hauptprozess (Controller) erstellt wurde. Beachten Sie, dass ein entsprechender Main Postfork Hook vom Hauptprozess entweder vor oder nach diesem Callback aufgerufen werden kann.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::WORKER_ATEXIT

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks Worker At Exit fest.
Der Hook Worker At Exit wird von einem Worker-Prozess unmittelbar vor dem Beenden ausgeloest. Er ist der letzte Hook-Punkt, der von einem Worker aufgerufen wird.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Priorität Hook::MAIN_ATEXIT

#### Beschreibung

Legt die Priorität dieses Modul-Callbacks innerhalb des Hooks Main At Exit fest.
Der Hook Main At Exit wird vom Hauptprozess (Controller) unmittelbar vor dem Beenden ausgeloest. Er ist der letzte Hook-Punkt, der vom Hauptprozess aufgerufen wird.
Dies wird nur wirksam, wenn das Modul hier einen Hook-Punkt hat. Wenn nicht festgelegt, wird die im Modul definierte Standardpriorität verwendet.

#### Syntax

Ganzzahliger Wert von -6000 bis 6000. Ein niedrigerer Wert bedeutet höhere Priorität.

### Listener-Module

#### Beschreibung

Listener-Modulkonfigurationsdaten werden standardmaessig von der Servermodul-Konfiguration geerbt. Listener-Module sind auf TCP/IP-Layer-4-Hooks beschraenkt.

### Modul aktivieren

#### Beschreibung

Aktiviert Modul-Hooks auf Listener-Ebene. Diese Einstellung wird nur wirksam, wenn das Modul Hooks auf TCP/IP-Ebene besitzt (L4_BEGSESSION, L4_ENDSESSION, L4_RECVING, L4_SENDING).
Standardwert: Einstellung auf Serverebene erben

#### Syntax

Aus Optionsfeldern auswählen

### Module virtueller Hosts

#### Beschreibung

Virtual-Host-Modulkonfigurationsdaten werden standardmaessig von der Servermodul-Konfiguration geerbt. Virtual-Host-Module sind auf Hooks auf HTTP-Ebene beschraenkt.

### Modul aktivieren

#### Beschreibung

Aktiviert Modul-Hooks auf Virtual-Host-Ebene. Diese Einstellung wird nur wirksam, wenn das Modul Hooks auf HTTP-Ebene besitzt.
Standardwert: Einstellung auf Serverebene erben

#### Syntax

Aus Optionsfeldern auswählen

### Modul-URL-Filter

#### Beschreibung

Dies ist eine zentrale Stelle, um Moduleinstellungen fuer Virtual-Host-Kontexte anzupassen. Einstellungen fuer eine Kontext-URI ueberschreiben die Einstellungen auf Virtual-Host- oder Serverebene.

### URI

#### Beschreibung

Gibt die URI fuer diesen Kontext an.

#### Syntax

Die URI kann eine einfache URI sein (beginnend mit "/") oder eine Perl-kompatible regulaere Ausdrucks-URI (beginnend mit "exp:"). Wenn eine einfache URI mit "/" endet, umfasst dieser Kontext alle Unter-URIs darunter. Wenn der Kontext einem Verzeichnis im Dateisystem zugeordnet ist, muss ein abschliessendes "/" hinzugefuegt werden.

#### Siehe auch

Speicherort